<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/src</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="_css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="_css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="_css/style.css" rel="stylesheet" type="text/css">
  <link href="_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="index.html">/var/www/html/src</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/DefaultController.php.html#9">App\Controller\DefaultController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#10">App\Controller\SecurityController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#18">App\Entity\User</a></td><td class="text-right">66%</td></tr>
       <tr><td><a href="Entity/Task.php.html#13">App\Entity\Task</a></td><td class="text-right">84%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Entity/User.php.html#18">App\Entity\User</a></td><td class="text-right">60</td></tr>
       <tr><td><a href="Entity/Task.php.html#13">App\Entity\Task</a></td><td class="text-right">22</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Controller/DefaultController.php.html#14"><abbr title="App\Controller\DefaultController::indexAction">indexAction</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Controller/SecurityController.php.html#17"><abbr title="App\Controller\SecurityController::login">login</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Task.php.html#60"><abbr title="App\Entity\Task::getCreatedAt">getCreatedAt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/Task.php.html#65"><abbr title="App\Entity\Task::setCreatedAt">setCreatedAt</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#134"><abbr title="App\Entity\User::eraseCredentials">eraseCredentials</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#146"><abbr title="App\Entity\User::getTasks">getTasks</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#151"><abbr title="App\Entity\User::addTask">addTask</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Entity/User.php.html#161"><abbr title="App\Entity\User::removeTask">removeTask</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Entity/User.php.html#161"><abbr title="App\Entity\User::removeTask">removeTask</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Entity/Task.php.html#60"><abbr title="App\Entity\Task::getCreatedAt">getCreatedAt</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/Task.php.html#65"><abbr title="App\Entity\Task::setCreatedAt">setCreatedAt</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Entity/User.php.html#151"><abbr title="App\Entity\User::addTask">addTask</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 7.0.15</a> using <a href="https://secure.php.net/" target="_top">PHP 7.4.10</a> with <a href="https://xdebug.org/">Xdebug 3.0.4</a> and <a href="https://phpunit.de/">PHPUnit 8.5.20</a> at Fri Sep 17 15:28:50 CEST 2021.</small>
    </p>
   </footer>
  </div>
  <script src="_js/jquery.min.js" type="text/javascript"></script>
  <script src="_js/d3.min.js" type="text/javascript"></script>
  <script src="_js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([2,0,0,0,0,0,0,1,0,1,0,13], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([8,0,0,0,0,0,0,0,0,0,0,60], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/DefaultController.php.html#9\">App\\Controller\\DefaultController<\/a>"],[0,2,"<a href=\"Controller\/SecurityController.php.html#10\">App\\Controller\\SecurityController<\/a>"],[100,7,"<a href=\"Controller\/TaskController.php.html#15\">App\\Controller\\TaskController<\/a>"],[100,5,"<a href=\"Controller\/UserController.php.html#16\">App\\Controller\\UserController<\/a>"],[84.21052631578947,21,"<a href=\"Entity\/Task.php.html#13\">App\\Entity\\Task<\/a>"],[66.66666666666666,29,"<a href=\"Entity\/User.php.html#18\">App\\Entity\\User<\/a>"],[100,3,"<a href=\"EventListener\/TaskListener.php.html#10\">App\\EventListener\\TaskListener<\/a>"],[100,2,"<a href=\"Form\/Handler\/AbstractFormHandler.php.html#7\">App\\Form\\Handler\\AbstractFormHandler<\/a>"],[100,5,"<a href=\"Form\/Handler\/TaskHandler.php.html#7\">App\\Form\\Handler\\TaskHandler<\/a>"],[100,5,"<a href=\"Form\/Handler\/UserHandler.php.html#8\">App\\Form\\Handler\\UserHandler<\/a>"],[100,9,"<a href=\"Form\/Maker\/FormMaker.php.html#11\">App\\Form\\Maker\\FormMaker<\/a>"],[100,1,"<a href=\"Form\/TaskType.php.html#9\">App\\Form\\TaskType<\/a>"],[100,1,"<a href=\"Form\/UserType.php.html#13\">App\\Form\\UserType<\/a>"],[100,6,"<a href=\"Kernel.php.html#13\">App\\Kernel<\/a>"],[100,1,"<a href=\"Repository\/TaskRepository.php.html#16\">App\\Repository\\TaskRepository<\/a>"],[100,1,"<a href=\"Repository\/UserRepository.php.html#16\">App\\Repository\\UserRepository<\/a>"],[100,9,"<a href=\"Security\/AppAuthenticator.php.html#26\">App\\Security\\AppAuthenticator<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Controller\/DefaultController.php.html#14\">App\\Controller\\DefaultController::indexAction<\/a>"],[0,1,"<a href=\"Controller\/SecurityController.php.html#17\">App\\Controller\\SecurityController::login<\/a>"],[100,1,"<a href=\"Controller\/SecurityController.php.html#31\">App\\Controller\\SecurityController::logout<\/a>"],[100,1,"<a href=\"Controller\/TaskController.php.html#20\">App\\Controller\\TaskController::listAction<\/a>"],[100,2,"<a href=\"Controller\/TaskController.php.html#30\">App\\Controller\\TaskController::createAction<\/a>"],[100,2,"<a href=\"Controller\/TaskController.php.html#47\">App\\Controller\\TaskController::editAction<\/a>"],[100,1,"<a href=\"Controller\/TaskController.php.html#65\">App\\Controller\\TaskController::toggleTaskAction<\/a>"],[100,1,"<a href=\"Controller\/TaskController.php.html#78\">App\\Controller\\TaskController::deleteTaskAction<\/a>"],[100,1,"<a href=\"Controller\/UserController.php.html#21\">App\\Controller\\UserController::listAction<\/a>"],[100,2,"<a href=\"Controller\/UserController.php.html#32\">App\\Controller\\UserController::createAction<\/a>"],[100,2,"<a href=\"Controller\/UserController.php.html#51\">App\\Controller\\UserController::editAction<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#49\">App\\Entity\\Task::__construct<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#55\">App\\Entity\\Task::getId<\/a>"],[0,2,"<a href=\"Entity\/Task.php.html#60\">App\\Entity\\Task::getCreatedAt<\/a>"],[0,2,"<a href=\"Entity\/Task.php.html#65\">App\\Entity\\Task::setCreatedAt<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#71\">App\\Entity\\Task::getTitle<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#76\">App\\Entity\\Task::setTitle<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#82\">App\\Entity\\Task::getContent<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#87\">App\\Entity\\Task::setContent<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#93\">App\\Entity\\Task::isDone<\/a>"],[100,1,"<a href=\"Entity\/Task.php.html#98\">App\\Entity\\Task::toggle<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#104\">App\\Entity\\Task::getAuthor<\/a>"],[100,2,"<a href=\"Entity\/Task.php.html#109\">App\\Entity\\Task::setAuthor<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#56\">App\\Entity\\User::__construct<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#61\">App\\Entity\\User::getId<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#66\">App\\Entity\\User::getUsername<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#71\">App\\Entity\\User::setUsername<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#77\">App\\Entity\\User::getSalt<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#82\">App\\Entity\\User::getPassword<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#87\">App\\Entity\\User::setPassword<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#93\">App\\Entity\\User::getEmail<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#98\">App\\Entity\\User::setEmail<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#104\">App\\Entity\\User::getRoles<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#117\">App\\Entity\\User::setRoles<\/a>"],[100,1,"<a href=\"Entity\/User.php.html#129\">App\\Entity\\User::hasRole<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#134\">App\\Entity\\User::eraseCredentials<\/a>"],[100,2,"<a href=\"Entity\/User.php.html#138\">App\\Entity\\User::getUserIdentifier<\/a>"],[0,1,"<a href=\"Entity\/User.php.html#146\">App\\Entity\\User::getTasks<\/a>"],[0,2,"<a href=\"Entity\/User.php.html#151\">App\\Entity\\User::addTask<\/a>"],[0,3,"<a href=\"Entity\/User.php.html#161\">App\\Entity\\User::removeTask<\/a>"],[100,1,"<a href=\"EventListener\/TaskListener.php.html#18\">App\\EventListener\\TaskListener::__construct<\/a>"],[100,2,"<a href=\"EventListener\/TaskListener.php.html#23\">App\\EventListener\\TaskListener::prePersist<\/a>"],[100,1,"<a href=\"Form\/Handler\/AbstractFormHandler.php.html#12\">App\\Form\\Handler\\AbstractFormHandler::handle<\/a>"],[100,1,"<a href=\"Form\/Handler\/AbstractFormHandler.php.html#14\">App\\Form\\Handler\\AbstractFormHandler::withRequest<\/a>"],[100,1,"<a href=\"Form\/Handler\/TaskHandler.php.html#11\">App\\Form\\Handler\\TaskHandler::__construct<\/a>"],[100,2,"<a href=\"Form\/Handler\/TaskHandler.php.html#16\">App\\Form\\Handler\\TaskHandler::handle<\/a>"],[100,1,"<a href=\"Form\/Handler\/TaskHandler.php.html#26\">App\\Form\\Handler\\TaskHandler::handleNew<\/a>"],[100,1,"<a href=\"Form\/Handler\/TaskHandler.php.html#32\">App\\Form\\Handler\\TaskHandler::handleEdit<\/a>"],[100,1,"<a href=\"Form\/Handler\/UserHandler.php.html#13\">App\\Form\\Handler\\UserHandler::__construct<\/a>"],[100,2,"<a href=\"Form\/Handler\/UserHandler.php.html#19\">App\\Form\\Handler\\UserHandler::handle<\/a>"],[100,1,"<a href=\"Form\/Handler\/UserHandler.php.html#29\">App\\Form\\Handler\\UserHandler::handleNew<\/a>"],[100,1,"<a href=\"Form\/Handler\/UserHandler.php.html#38\">App\\Form\\Handler\\UserHandler::handleEdit<\/a>"],[100,1,"<a href=\"Form\/Maker\/FormMaker.php.html#21\">App\\Form\\Maker\\FormMaker::__construct<\/a>"],[100,2,"<a href=\"Form\/Maker\/FormMaker.php.html#33\">App\\Form\\Maker\\FormMaker::makeForm<\/a>"],[100,3,"<a href=\"Form\/Maker\/FormMaker.php.html#42\">App\\Form\\Maker\\FormMaker::handle<\/a>"],[100,2,"<a href=\"Form\/Maker\/FormMaker.php.html#54\">App\\Form\\Maker\\FormMaker::checkIfFormIsValid<\/a>"],[100,1,"<a href=\"Form\/Maker\/FormMaker.php.html#59\">App\\Form\\Maker\\FormMaker::handleSuccess<\/a>"],[100,1,"<a href=\"Form\/TaskType.php.html#15\">App\\Form\\TaskType::buildForm<\/a>"],[100,1,"<a href=\"Form\/UserType.php.html#19\">App\\Form\\UserType::buildForm<\/a>"],[100,3,"<a href=\"Kernel.php.html#17\">App\\Kernel::configureContainer<\/a>"],[100,3,"<a href=\"Kernel.php.html#30\">App\\Kernel::configureRoutes<\/a>"],[100,1,"<a href=\"Repository\/TaskRepository.php.html#18\">App\\Repository\\TaskRepository::__construct<\/a>"],[100,1,"<a href=\"Repository\/UserRepository.php.html#18\">App\\Repository\\UserRepository::__construct<\/a>"],[100,1,"<a href=\"Security\/AppAuthenticator.php.html#37\">App\\Security\\AppAuthenticator::__construct<\/a>"],[100,3,"<a href=\"Security\/AppAuthenticator.php.html#52\">App\\Security\\AppAuthenticator::supports<\/a>"],[100,1,"<a href=\"Security\/AppAuthenticator.php.html#61\">App\\Security\\AppAuthenticator::authenticate<\/a>"],[100,2,"<a href=\"Security\/AppAuthenticator.php.html#79\">App\\Security\\AppAuthenticator::onAuthenticationSuccess<\/a>"],[100,2,"<a href=\"Security\/AppAuthenticator.php.html#94\">App\\Security\\AppAuthenticator::onAuthenticationFailure<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
